
NDefines.NDiplomacy.VASSAL_LIMIT_DECADENCE_MULTIPLIER = 0.75	-- Negative modifier, multiplied with the current decadence.
NDefines.NDiplomacy.REALM_DIPLOMACY_OPINION_MUL_FACTOR = 0.5					-- Realm diplomacy factor affecting opinion value
NDefines.NDiplomacy.DEMESNE_MAX_SIZE_STEWARDSHIP_MULT = 0.2	-- Extra Max Demesne Size from ruler and spouse stewardship
NDefines.NDiplomacy.CONCLAVE_VASSAL_LIMIT_EMPEROR_MULT = 25.0 			-- Extra Vassal Limit from the ruler's rank

NDefines.NInfamy.INHERITANCE_CHANGE_VALUE = 0.05	 						-- How much base value for realm growth/shrink is worth when inheriting titles.
NDefines.NInfamy.VASSAL_CHANGE_VALUE = 0.1	 								-- How much base value for realm growth/shrink is worth when inheriting titles.
NDefines.NInfamy.INFAMY_DECAY_BASE = 0.95									-- How many percent that decay each month as base.
NDefines.NInfamy.MIN_INFAMY_DECAY = 0.3									-- The minimum infamy decay regardless of troop strength.
NDefines.NInfamy.MAX_INFAMY_PER_WAR_PROVINCE = 10							-- A single province taken in war can give at most this much threat

NDefines.NCharacter.SECONDARY_SPOUSE_FERTILITY_MULT = 0.8			-- Applied to fertility of secondary spouses and concubines
NDefines.NCharacter.NOT_SPOUSE_FERTILITY_MULT = 0.8				-- Applied to fertility when two lovers are not married
NDefines.NCharacter.MARRIAGE_TIER_DIFF_PRESTIGE_MULT = 50 		-- Prestige multiplier from marrying below or above your rank.

NDefines.NTitle.DUKE_GOLD_CREATION_COST = 100
NDefines.NTitle.KING_GOLD_CREATION_COST = 200
NDefines.NTitle.EMPEROR_GOLD_CREATION_COST = 300

NDefines.NReligion.AUTHORITY_FROM_ANTIPOPE = -0.1					-- Authority from each antipope

NDefines.NAI.NOMAD_HIGH_MANPOWER_AGRESSION_MULTIPLIER = 2.0			-- Nomad agression multiplier for having high manpower
NDefines.NAI.CRUSADE_CREATION_MONTH_DELAY = 480						-- Months from the end of one Crusade before the AI will call a new one

NDefines.NAI.MARRIAGE_LANDED_AND_NO_NAP = 12							-- How much AI will prefer marriages with landed characters AI do not have non-aggression pacts with 
NDefines.NAI.MARRIAGE_CHILD_OF_RULER = 4							-- How much AI will prefer marriages with children of landed characters
NDefines.NAI.MARRIAGE_THREATENING_FOR_US = 16						-- How much AI will prefer marriages towards threatening realms
NDefines.NAI.MARRIAGE_LANDED = 8									-- How much AI will prefer marriages with landed characters 
NDefines.NAI.MARRIAGE_AI_PRESTIGE_VALUE = 0.8						-- Multiplier for how highly AI values prestige when arranging marriages and evaluating marriage offers
NDefines.NAI.DOW_AGGRESSION_FACTOR = 0.72							-- General aggressiveness declarations of war

NDefines.NEconomy.DOGE_SUCC_RANDOM_FACTOR = 1000					-- The random Respect factor on actual Doge succession
NDefines.NEconomy.TRADE_ZONE_BONUS_MULTIPLIER = 0.02				-- Trade posts get the trade zone value * 0.1 * this as a bonus
NDefines.NEconomy.MERCHANT_REPUBLIC_SALARY_MULT = 1.5				-- Councillor salaries in Merchant Republics are multiplied by this
NDefines.NEconomy.DECADENCE_MODIFIER = 0.3						-- Maximum effect of decadence, positive for low dec, negative for high


NDefines.NEconomy.TRADE_ROUTE_SIEGE_MULTIPLIER = 0.8				-- Sieges multiply the value of trade routes by this amount downstream
NDefines.NEconomy.TRADE_ROUTE_OCCUPATION_MULTIPLIER = 0.9		-- Occupied provinces multiply the value of trade routes by this amount downstream. If sieged as well, the lowest of this and TRADE_ROUTE_SIEGE_MULTIPLIER is used

NDefines.NEconomy.PATRICIAN_CITY_TAX_MULT = 0.2					-- Patricians don't pay normal City Tax to their liege... (CFixedPoint64)
NDefines.NEconomy.PATRICIAN_FAMILY_SHARES_REST = 1				-- Monthly Patrician Income, number of shares for adult male dynasty members in the Patrician's court

NDefines.NDecadence.REALM_SIZE_MULTIPLIER = 0.015

NDefines.NNomad.START_POPULATION = 0.60						-- Starting population, multiplied with max population
NDefines.NNomad.START_MANPOWER = 0.80							-- Starting manpower, multiplied with max manpower
NDefines.NNomad.POPULATION_INCREASE_MULTIPLIER = 0.02			-- The rate current population grows or declines to max population
NDefines.NNomad.MANPOWER_INCREASE_MULTIPLIER = 0.2				-- The rate current manpower grows or declines to max manpower
NDefines.NNomad.POPULATION_TAX_MULTIPLIER = 0.00075			-- Montly tax income determined by the current population
NDefines.NNomad.GARRISON_UNUSED_MANPOWER_MULTIPLIER = 0.5		-- How much of the unused manpower that is used for the garrison
NDefines.NNomad.HORDE_REINFORCE_MULTIPLIER = 2					-- Increased pseed of reinforcing hordes

NDefines.NMilitary.BATTLE_TECH_MULTIPLIER = 1.0					-- Military tech gain from battles multiplier.
NDefines.NMilitary.BATTLE_PIETY_MULTIPLIER = 0.75					-- Piety gain/loss multiplier. This is based on the prestige value, so a value of 1 gives a leader as much piety as he gains prestige from combat

NDefines.NTechnology.TRADEPOST_SPREAD_BONUS = 0.01 			-- Spread from trade posts
NDefines.NTechnology.NEIGHBOUR_SAME_RELIGON_GROUP_MULT = 4.0 	-- multiplier to the above bonus if neighbour is of your religious group
NDefines.NTechnology.BASE_DEMESNE_SPREAD_BONUS = 0.1 			-- bonus for each other province in demesne with the tech

NDefines.NMilitary.LOW_DECADENCE_MORALE_MOD = 0.25					-- Morale Defence Mod when at 0% decadence
NDefines.NMilitary.HIGH_DECADENCE_MORALE_MOD = -0.75				-- Morale Defence Mod when at 100% decadence

NDefines.NMilitary.CRUSADE_MINIMUM_CONTRIBUTION = 200					-- Participants who have contributed less than this to the war (via sieges, battles, etc., see the in-game war UI) do not receive anything from the Crusade pot
NDefines.NMilitary.CRUSADE_MAX_POT_SHARE = 0.1							-- It is not possible to receive more than this from the Crusade pot. If there's too few qualifying participants to distribute the full pot, any remainder goes to the Crusader King


NDefines.NDisease.SMALL_TOWN_INCOME = 20.0 -- A coastal town with this income has no chance of starting an outbreak
NDefines.NDisease.BIG_TOWN_INCOME = 80.0 -- A coastal town with this income is always a candidate for starting an outbreak
NDefines.NDisease.MIN_OUTBREAK_CHANCE = 0.2 -- Min chance that an outbreak will happen in a particular town

